body {

    #lecoqlibre-voile-socialbar {
        flex-shrink: 0;
        display: flex;
        transition: var( --wp--custom--lecoqlibre-voile--socialbar--enabled--desktop--transition );
        box-shadow: 0 0 5px 1px background;
        cursor: pointer;

        &:hover {
            *[slot='content'] {
                .wp-block-social-links {
                    .wp-social-link {
                        transform: scale( var( --wp--custom--lecoqlibre-voile--socialbar--enabled--desktop--hover-scale ) );
                        filter: unset;
                    }
                }
            }
        }

        *[slot='content'] {
            height: 100vh;
            display: flex;
            justify-content: space-around;
            flex-direction: column;
            position: sticky;
            top: 0;

            .wp-block-social-links {
                justify-content: center;
                font-size: var( --wp--custom--lecoqlibre-voile--socialbar--enabled--desktop--font-size );

                .wp-social-link {
                    filter: grayscale(1);
                    transform: scale( var( --wp--custom--lecoqlibre-voile--socialbar--enabled--desktop--base-scale ) );
                    
                    &.wp-social-link.wp-social-link {
                        margin: 5px 0;
                    }
                }
            }

            @media( max-width: 320px ) {
                display: block;
                height: auto;
                position: relative;
                top: unset;
                padding: 5px 0;

                .wp-block-social-links {
                    position: relative;
                    top: unset;
                    margin: 0;
        
                    .wp-social-link {
                    
                        &.wp-social-link.wp-social-link {
                            margin: 5px;
                        }
                    }
                }
            }
        }

        @media( max-width: 320px ) {
            display: block;
            opacity: 100;
        }
    }
    
}